from odbAccess import *

job_name = 'Y_690_YoT_0p94_tf_20p0_tw_17p6_Bf_166p1_H_450p8_LdLT_0p10'

odb = openOdb(job_name+'.odb', readOnly=True)

step = odb.steps['Step-Static, General']

# UR1
UR1 = step.historyRegions['Node ASSEMBLY.1'].historyOutputs['UR1'].data

# RM1
RM1 = step.historyRegions['Node ASSEMBLY.1'].historyOutputs['RM1'].data

# number of frames
m = len(step.frames)
fid1 = open (job_name + '_histories.csv', 'w')
fid1.write('UR1, RM1\n')

# double precision data
for i in range(m): # loop through frames

	# write UR1 & RM1 to file
	fid1.write('%15.13E, %15.13E \n'%(UR1[i][1],RM1[i][1]))
			
fid1.close()

